%define module	Event-XML-Sync
%define name	perl-%{module}
%define version 1.0
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A Perl module to run synchronized XML stream
License:	GPL
Group:		Development/Perl
Source:		ftp://ftp.inria.fr/INRIA/Atoll/Eric.Clergerie/TAG/%{module}-%{version}.tar.bz2
Url:		ftp://ftp.inria.fr/INRIA/Atoll/Eric.Clergerie/TAG/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch

%description
This module may be used to developp application wrappers to be
installed in XML pipelines.

The wrapper expects some XML input. It sends some bits of
information to the wrapped application and information the
returned information (when arriving) in the input XML stream
(by adding, modifying or deleting XML elements). Output XML is
produced for the next wrapper in the pipeline.

The key point is that wrappers are non-blocking, i.e. a
wrapper do not stop waiting for information to be returned by
the wrapped application. To achieve that, the wrapper needs
some kind of synchronization to correlate the returned
information with the input XML stream.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Event
%{_mandir}/*/*

%changelog
* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.0-2mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.0-1mdk 
- new version
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-2mdk
- fixed dir ownership (distlint)

* Thu Jan 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-1mdk
- first mdk release
